package com.inca.npbusi.sales.bms_sa_doc;

import com.inca.entity.client.pub.CompanyOnClient;
import com.inca.gsp.service.GSPHelper;
import com.inca.np.auth.ClientUserManager;
import com.inca.np.auth.Userruninfo;
import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.DataCommand;
import com.inca.np.communicate.ParamCommand;
import com.inca.np.communicate.ServerResponse;
import com.inca.np.communicate.StringCommand;
import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.util.SendHelper;
import com.inca.npbusi.saHelper.SaCalcRate;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.PresHelper;
import com.inca.pubsrv.hov.bms_sa_selfpkaddress.Bms_sa_selfpkaddress_hov;
import com.inca.pubsrv.hov.bms_tr_pos_hov.Bms_tr_pos_hov;
import com.inca.pubsrv.hov.pub_custom_to_saler_hov.Pub_custom_to_saler_hov;
import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import org.apache.log4j.Category;

public class Bms_sales_master extends CMasterModel {
   private Category a = Category.getInstance(Bms_sales_master.class);

   public Bms_sales_master(CFrame var1, CMdeModel var2) {
      super(var1, "销售发货单总单", var2);
   }

   public String getTablename() {
      return "bms_sa_doc_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected JPanel createSecondtoolbar() {
      JPanel var1 = new JPanel();
      CToolbar var2 = new CToolbar();
      var1.setLayout(new BorderLayout());
      var1.add(var2);
      return NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(var1, "确定(C)", "确定", "确定", 67, this.mdemodel), "回退确定(B)", "回退确定", "回退确定", 66, this.mdemodel), "作废(I)", "作废", "作废", 73, this.mdemodel), "采集序列号(G)", "采集序列号", "采集序列号", 71, this.mdemodel), "销售转单补录(T)", "销售转单补录", "销售转单补录", 84, this.mdemodel);
   }

   protected int on_beforeNew() {
      if (this.getModifiedDbmodel().getRowCount() > 0) {
         this.infoMessage("警告", "请先保存数据！");
         return -1;
      } else {
         String var1;
         if ((var1 = ((Bms_sales_mde)this.mdemodel).getEntryid()) != null && !var1.equals("")) {
            String var2 = "1";
            String var3 = "select t.value\n  from sys_npbusi_config t\n where t.keyword like 'GSPFlag'\n   and t.entryid = " + var1;
            RemotesqlHelper var4 = new RemotesqlHelper();

            try {
               DBTableModel var6;
               if ((var6 = var4.doSelect(var3, 0, 1)) != null && var6.getRowCount() > 0) {
                  var2 = var6.getItemValue(0, "gspflag");
               }
            } catch (Exception var5) {
               var5.printStackTrace();
               this.errorMessage("错误", "检索独立单元gsp管控标志时发生异常，原因为：" + var5.getMessage());
            }

            return !this.a(var2, var1) ? -1 : super.on_beforeNew();
         } else {
            this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能录入订单！");
            return -1;
         }
      }
   }

   protected void on_itemvaluechange(int var1, String var2, String var3) {
      String var12;
      String var15;
      DBTableModel var17;
      String var19;
      String var21;
      if (var2.equals("delivermethod")) {
         DBColumnDisplayInfo var4 = this.getDBColumnDisplayInfo("midposopcode");
         DBColumnDisplayInfo var5 = this.getDBColumnDisplayInfo("urgentflag");
         DBColumnDisplayInfo var6 = this.getDBColumnDisplayInfo("tranpriority");
         DBColumnDisplayInfo var7 = this.getDBColumnDisplayInfo("targetdate");
         DBColumnDisplayInfo var8 = this.getDBColumnDisplayInfo("tranmethod");
         DBColumnDisplayInfo var9 = this.getDBColumnDisplayInfo("targetposopcode");
         if ("0".equals(var3)) {
            var3 = "1";
         }

         DBTableModel var13;
         String var20;
         if ("0".equals(var3)) {
            var4.setReadonly(false);
            var5.setReadonly(true);
            var6.setReadonly(true);
            var7.setReadonly(true);
            var8.setReadonly(true);
            var9.setReadonly(true);
            this.setItemValue(var1, "targetposopcode", "");
            this.setItemValue(var1, "targetposid", "");
            this.setItemValue(var1, "targetname", "");
            var12 = "select addressid,addressname,addressopcode,defaultflag from selfpick_address where usestatus=1 order by nvl(defaultflag,0) desc";
            RemotesqlHelper var14 = new RemotesqlHelper();
            var19 = null;
            var20 = null;
            var21 = null;

            try {
               if ((var17 = var14.doSelect(var12, 0, 100)) != null && var17.getRowCount() > 0) {
                  var12 = var17.getItemValue(0, "defaultflag");
                  if (!"1".equals(var12) && var17.getRowCount() != 1) {
                     if ((var13 = (new Bms_sa_selfpkaddress_hov(true)).showDialog(this.frame, "")).getRowCount() > 0) {
                        var19 = var13.getItemValue(0, "addressid");
                        var21 = var13.getItemValue(0, "addressname");
                        var20 = var13.getItemValue(0, "addressopcode");
                     }
                  } else {
                     var19 = var17.getItemValue(0, "addressid");
                     var21 = var17.getItemValue(0, "addressname");
                     var20 = var17.getItemValue(0, "addressopcode");
                  }

                  this.setItemValue(var1, "midposid", var19);
                  this.setItemValue(var1, "midposname", var21);
                  this.setItemValue(var1, "midposopcode", var20);
               }
            } catch (Exception var11) {
               var11.printStackTrace();
            }
         } else if ("1".equals(var3)) {
            var4.setReadonly(true);
            var5.setReadonly(false);
            var6.setReadonly(false);
            var7.setReadonly(false);
            var8.setReadonly(false);
            var9.setReadonly(false);
            this.setItemValue(var1, "midposopcode", "");
            this.setItemValue(var1, "midposid", "");
            this.setItemValue(var1, "midposname", "");
            var15 = this.getItemValue(var1, "customid");

            try {
               var13 = NpbusiDBHelper.getTranposinfo(var15);
            } catch (Exception var10) {
               var10.printStackTrace();
               this.infoMessage("提示", "查询客户的地址信息定义时出错:" + var10.getMessage());
               return;
            }

            int var18 = 0;
            if (var13 != null) {
               var18 = var13.getRowCount();
            }

            var19 = "";
            var20 = "";
            var21 = "";
            if (var18 == 1) {
               var19 = var13.getItemValue(0, "tranposid");
               var20 = var13.getItemValue(0, "tranposname");
               var21 = var13.getItemValue(0, "opcode");
            } else if (var18 != 0) {
               Bms_tr_pos_hov var16;
               (var16 = new Bms_tr_pos_hov(true)).setOtherwheres("COMPANYID = " + var15);
               if ((var13 = var16.showDialog(this.frame, "")).getRowCount() > 0) {
                  var19 = var13.getItemValue(0, "tranposid");
                  var20 = var13.getItemValue(0, "tranposname");
                  var21 = var13.getItemValue(0, "opcode");
               }
            }

            if (var3 != null && var3.equals("1")) {
               this.setItemValue(var1, "targetposid", var19);
               this.setItemValue(var1, "targetname", var20);
               this.setItemValue(var1, "targetposopcode", var21);
            }
         } else {
            var5.setReadonly(true);
            var6.setReadonly(true);
            var7.setReadonly(true);
            var8.setReadonly(true);
            this.setItemValue(var1, "midposopcode", "");
            this.setItemValue(var1, "targetposopcode", "");
         }
      } else if (var2.trim().equals("customid")) {
         var12 = this.getItemValue(var1, "credate");
         var15 = this.getItemValue(var1, "entryid");
         if ((var17 = NpbusiDBHelper.checkLicense("3", var3, var15, var12)) != null && var17.getRowCount() > 0) {
            var19 = "";

            for(int var22 = 0; var22 < var17.getRowCount(); ++var22) {
               var21 = var17.getItemValue(var22, "message");
               var19 = var19 + "客户ID:" + var3 + " " + var21 + "\n";
            }

            this.infoMessage("提示", "证照类型检查没有通过：\n" + var19);
            this.setItemValue(var1, "customid", "");
            this.setItemValue(var1, "customopcode", "");
            this.setItemValue(var1, "customname", "");
            this.setItemValue(var1, "customno", "");
            return;
         }

         if ((var3 == null || var3.trim().isEmpty()) && ((Bms_sales_mde)this.mdemodel).getApvalue("是否业务员开票").trim().equals("1")) {
            this.on_clearhov(var1, "saleropcode");
            this.on_clearhov(var1, "storageopcode");
         }
      }

      super.on_itemvaluechange(var1, var2, var3);
   }

   public int on_hov(int var1, String var2, DBTableModel var3) {
      if (!var2.equals("customopcode")) {
         if (var2.equalsIgnoreCase("saleropcode")) {
            int var22 = super.on_hov(var1, var2, var3);
            this.a(var1);
            return var22;
         } else {
            return super.on_hov(var1, var2, var3);
         }
      } else {
         if (this.getItemValue(var1, "agentid") != null || !this.getItemValue(var1, "agentid").equals("")) {
            this.setItemValue(var1, "agentid", "");
            this.setItemValue(var1, "agentopcode", "");
            this.setItemValue(var1, "agentname", "");
         }

         String var4;
         if ((var4 = var3.getItemValue(0, "customid")) != null && !var4.equals("")) {
            if (!this.a(var3)) {
               return 0;
            } else {
               RemotesqlHelper var6 = new RemotesqlHelper();
               DBTableModel var7 = null;
               String var8;
               if ((var8 = this.getItemValue(var1, "entryid")) != null && !var8.equals("")) {
                  String var5 = "1=1";
                  if (((Bms_sales_mde)this.mdemodel).getApvalue("是否业务员开票 ").trim().equals("1")) {
                     var5 = var5 + " and salerid=" + ClientUserManager.getCurrentUser().getUserid();
                  }

                  var5 = "select * from pub_custom_to_saler_v where customid=" + var4 + " and  entryid=" + var8 + " and " + var5;

                  try {
                     var7 = var6.doSelect(var5, 0, 10);
                  } catch (Exception var21) {
                     var21.printStackTrace();
                  }

                  if (var7 != null && var7.getRowCount() > 0) {
                     String var9;
                     String var10;
                     String var11;
                     String var12;
                     DBTableModel var27;
                     if (var7.getRowCount() == 1) {
                        var5 = var7.getItemValue(0, "salerdeptid");
                        var9 = var7.getItemValue(0, "salerid");
                        var10 = var7.getItemValue(0, "saleropcode");
                        var11 = var7.getItemValue(0, "salername");
                        var12 = var7.getItemValue(0, "salerdeptname");
                        if (var5 == null || "".equals(var5)) {
                           var5 = "select * from pub_employee_v where employeeid=" + var9;

                           try {
                              var7 = var6.doSelect(var5, 0, 1);
                           } catch (Exception var20) {
                              var20.printStackTrace();
                           }

                           var5 = var7.getItemValue(0, "deptid");
                           var12 = var7.getItemValue(0, "deptname");
                        }

                        this.setItemValue(var1, "salerid", var9);
                        this.setItemValue(var1, "saleropcode", var10);
                        this.setItemValue(var1, "salername", var11);
                        this.setItemValue(var1, "salesdeptname", var12);
                        this.setItemValue(var1, "salesdeptid", var5);
                     } else {
                        Pub_custom_to_saler_hov var25;
                        (var25 = new Pub_custom_to_saler_hov(true)).setOtherwheres("customid = " + var4 + " and entryid=" + var8);
                        if ((var27 = var25.showDialog(this.frame, "选择业务员")) == null) {
                           this.setItemValue(var1, "salerid", "");
                           this.setItemValue(var1, "saleropcode", "");
                           this.setItemValue(var1, "salername", "");
                           this.setItemValue(var1, "salesdeptname", "");
                           this.setItemValue(var1, "salesdeptid", "");
                        } else {
                           var10 = var27.getItemValue(0, "salerid");
                           var11 = var27.getItemValue(0, "saleropcode");
                           var12 = var27.getItemValue(0, "salername");
                           String var23 = var27.getItemValue(0, "salerdeptname");
                           var9 = var27.getItemValue(0, "salerdeptid");
                           this.setItemValue(var1, "salerid", var10);
                           this.setItemValue(var1, "saleropcode", var11);
                           this.setItemValue(var1, "salername", var12);
                           this.setItemValue(var1, "salesdeptname", var23);
                           this.setItemValue(var1, "salesdeptid", var9);
                        }
                     }

                     var5 = "1";
                     if ((var27 = NpbusiDBHelper.getCustomDefinfo(var8, var4)) != null && var27.getRowCount() > 0) {
                        var5 = var27.getItemValue(0, "delivermethod");
                        var10 = var27.getItemValue(0, "settletypeid");
                        var11 = var27.getItemValue(0, "lowpriceflag");
                        if (var10 == null || var10.equals("")) {
                           var10 = ((Bms_sales_mde)this.mdemodel).getApvalue("结算方式");
                        }

                        this.setItemValue(var1, "settletypeid", var10);
                        this.setItemValue(var1, "delivermethod", var5);
                        this.setItemValue(var1, "lowpriceflag", var11);
                     } else {
                        this.setItemValue(var1, "delivermethod", var5);
                     }

                     DBColumnDisplayInfo var31 = this.getDBColumnDisplayInfo("midposopcode");
                     DBColumnDisplayInfo var33 = this.getDBColumnDisplayInfo("urgentflag");
                     DBColumnDisplayInfo var34 = this.getDBColumnDisplayInfo("tranpriority");
                     DBColumnDisplayInfo var24 = this.getDBColumnDisplayInfo("targetdate");
                     DBColumnDisplayInfo var29 = this.getDBColumnDisplayInfo("tranmethod");
                     DBColumnDisplayInfo var13 = this.getDBColumnDisplayInfo("targetposopcode");
                     DBTableModel var30;
                     if (var5 != null && var5.equals("1")) {
                        try {
                           var7 = NpbusiDBHelper.getTranposinfo(var4);
                        } catch (Exception var19) {
                           var19.printStackTrace();
                           this.infoMessage("提示", "查询客户的地址信息定义时出错:" + var19.getMessage());
                           return -1;
                        }

                        int var26 = 0;
                        if (var7 != null) {
                           var26 = var7.getRowCount();
                        }

                        String var14 = "";
                        String var15 = "";
                        String var16 = "";
                        if (var26 == 1) {
                           var14 = var7.getItemValue(0, "tranposid");
                           var15 = var7.getItemValue(0, "tranposname");
                           var16 = var7.getItemValue(0, "opcode");
                        } else if (var26 != 0) {
                           Bms_tr_pos_hov var28;
                           (var28 = new Bms_tr_pos_hov(true)).setOtherwheres("COMPANYID = " + var4 + " and entryid=" + var8);
                           if ((var30 = var28.showDialog(this.frame, "选择运输地点")).getRowCount() > 0) {
                              var14 = var30.getItemValue(0, "tranposid");
                              var15 = var30.getItemValue(0, "tranposname");
                              var16 = var30.getItemValue(0, "opcode");
                           }
                        }

                        this.setItemValue(var1, "targetposid", var14);
                        this.setItemValue(var1, "targetname", var15);
                        this.setItemValue(var1, "targetposopcode", var16);
                        this.setItemValue(var1, "midposid", "");
                        this.setItemValue(var1, "midposname", "");
                        this.setItemValue(var1, "midposopcode", "");
                        var31.setReadonly(true);
                        var33.setReadonly(false);
                        var34.setReadonly(false);
                        var24.setReadonly(false);
                        var29.setReadonly(false);
                        var13.setReadonly(false);
                     } else if (var5 != null && var5.equals("0")) {
                        this.on_itemvaluechange(var1, "delivermethod", var5);
                     }

                     var5 = "select defaultinvoicetype from pub_customer where customid=" + var4;
                     var6 = new RemotesqlHelper();

                     try {
                        var30 = var6.doSelect(var5, 0, 1);
                        this.setItemValue(var1, "invtype", var30.getItemValue(0, "defaultinvoicetype"));
                     } catch (Exception var18) {
                        var18.printStackTrace();
                     }

                     try {
                        if ((var5 = PresHelper.bms_chk_blurpolicy(((Bms_sales_mde)this.mdemodel).getEntryid(), var4)) != null && !var5.equals("")) {
                           this.infoMessage("模糊赠协议", var5);
                        }
                     } catch (Exception var17) {
                        var17.printStackTrace();
                     }

                     String[] var32 = SaCalcRate.getAssessDataForClient(var4);
                     this.setItemValue(var1, "setdays", var32[2]);
                     this.setItemValue(var1, "awardrate", var32[0]);
                     this.setItemValue(var1, "punishrate", var32[1]);
                     this.setItemValue(var1, "storageid", "");
                     this.setItemValue(var1, "storageopcode", "");
                     this.setItemValue(var1, "storagename", "");
                     int var35 = super.on_hov(var1, var2, var3);
                     this.a(var1);
                     return var35;
                  } else {
                     this.infoMessage("提示", "没有当前独立单元业务员，不可录入总单！");
                     this.setItemValue(var1, "customopcode", "");
                     this.setItemValue(var1, "customid", "");
                     this.setItemValue(var1, "saleropcode", "");
                     this.setItemValue(var1, "salesdeptname", "");
                     this.setItemValue(var1, "salerid", "");
                     this.setItemValue(var1, "salesdeptid", "");
                     this.setItemValue(var1, "salername", "");
                     this.setItemValue(var1, "customname", "");
                     return -1;
                  }
               } else {
                  this.infoMessage("提示", "没有独立单元，不可录入总单！");
                  this.setItemValue(var1, "customopcode", "");
                  this.setItemValue(var1, "customid", "");
                  this.setItemValue(var1, "saleropcode", "");
                  this.setItemValue(var1, "salesdeptname", "");
                  this.setItemValue(var1, "salerid", "");
                  this.setItemValue(var1, "salesdeptid", "");
                  this.setItemValue(var1, "salername", "");
                  this.setItemValue(var1, "customname", "");
                  return -1;
               }
            }
         } else {
            return -1;
         }
      }
   }

   private boolean a(DBTableModel var1) {
      CompanyOnClient var3;
      (var3 = new CompanyOnClient(var1.getItemValue(0, "customid"))).setCompanyType(2);

      try {
         return var3.sendNomalCheck("3", ((Bms_sales_mde)this.mdemodel).getEntryid());
      } catch (Exception var2) {
         this.errorMessage("检查供应商执照错误", var2.getMessage());
         return false;
      }
   }

   public String getHovOtherWheres(int var1, String var2) {
      String var3 = ((Bms_sales_mde)this.mdemodel).getEntryid();
      String var5;
      if (var2.equals("saleropcode")) {
         if ((var2 = this.getItemValue(var1, "customid")) != null && !var2.equals("")) {
            if ((var3 = this.getItemValue(var1, "entryid")) != null && !var3.equals("")) {
               var5 = "1=1";
               if (((Bms_sales_mde)this.mdemodel).getApvalue("是否业务员开票 ").trim().equals("1")) {
                  var5 = var5 + " and salerid=" + ClientUserManager.getCurrentUser().getUserid();
               }

               return "customid=" + var2 + " and (entryid is null or entryid=" + var3 + ") and " + var5;
            } else {
               this.infoMessage("提示", "没有独立单元！");
               return "1>2";
            }
         } else {
            this.infoMessage("提示", "请先录入客户！");
            return "1>2";
         }
      } else if (var2.equals("targetposopcode")) {
         if ((var2 = this.getItemValue(var1, "customid")) != null && !var2.equals("")) {
            return "tranpostype = 1 and companyid = " + var2 + " and entryid=" + var3;
         } else {
            this.infoMessage("提示", "请先录入客户！");
            return "1>2";
         }
      } else if (var2.equals("agentopcode")) {
         if (!(var2 = this.getItemValue(var1, "customid")).equals("") && var2 != null) {
            return " type=2 and companyid=" + var2 + " and (entryid is null or entryid=" + var3 + ")";
         } else {
            this.infoMessage("提示！", "请选择客户！");
            return " 1>2";
         }
      } else if (var2.equals("agentid")) {
         return " type=2 and (entryid is null or entryid=" + var3 + ")";
      } else if ("customopcode".equals(var2)) {
         var2 = "1=1";
         if (((Bms_sales_mde)this.mdemodel).getApvalue("是否业务员开票 ").trim().equals("1")) {
            var2 = var2 + String.format(" and exists(select 1 from pub_custom_to_saler where customid=pub_customer_v.customid and salerid=%s)", ClientUserManager.getCurrentUser().getUserid());
         }

         return GSPHelper.getCustomOtherWheresOnHov(var3, "pub_customer_v", "customid", true, true) + " and " + var2;
      } else if (var2.equals("storageopcode")) {
         var2 = "1=1";
         var5 = ((Bms_sales_mde)this.mdemodel).getApvalue("大库保管账");
         String var4 = ((Bms_sales_mde)this.mdemodel).getApvalue("是否业务员开票 ");
         if ((var3 = this.getItemValue(this.getRow(), "customid")) != null && !var3.trim().isEmpty()) {
            if (var4.trim().equals("1")) {
               var2 = var2 + " and customid=" + var3;
               if (var5 != null && var5.trim().length() > 0) {
                  var2 = var2 + " or storageid in (" + var5 + ")";
               }
            } else {
               var2 = var2 + " and nvl(customid," + var3 + ")=" + var3;
            }

            return var2;
         } else {
            this.infoMessage("提示", "请先录入客户信息");
            return null;
         }
      } else {
         return super.getHovOtherWheres(var1, var2);
      }
   }

   protected String getOtherWheres() {
      String var1;
      if ((var1 = ((Bms_sales_mde)this.mdemodel).getEntryid()) != null && var1.length() != 0) {
         var1 = "entryid = " + var1 + " and satypeid = 1 and initflag =0";
         return var1 + super.getOtherWheres();
      } else {
         this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能操作！");
         return null;
      }
   }

   protected int on_new(int var1) {
      this.setItemValue(var1, "satypeid", "1");
      Userruninfo var2 = ClientUserManager.getCurrentUser();
      this.setItemValue(var1, "entryid", ((Bms_sales_mde)this.mdemodel).getEntryid());
      this.setItemValue(var1, "entryname", ((Bms_sales_mde)this.mdemodel).getEntryname());
      this.setItemValue(var1, "inputmanid", var2.getUserid());
      this.setItemValue(var1, "inputmanname", var2.getUsername());
      this.setItemValue(var1, "stsetid", "");
      String var3;
      if ((var3 = ((Bms_sales_mde)this.mdemodel).getApvalue("销售模式")) != null && !var3.equals("")) {
         this.setItemValue(var1, "sa_mode", var3);
      } else {
         this.setItemValue(var1, "sa_mode", "1");
      }

      if ((var3 = ((Bms_sales_mde)this.mdemodel).getApvalue("配货模式")) != null && !var3.equals("")) {
         this.setItemValue(var1, "fix_mode", var3);
      } else {
         this.setItemValue(var1, "fix_mode", "1");
      }

      if ((var3 = ((Bms_sales_mde)this.mdemodel).getApvalue("结算方式")) != null && !var3.equals("")) {
         this.setItemValue(var1, "settletypeid", var3);
      } else {
         this.setItemValue(var1, "settletypeid", "1");
      }

      this.setItemValue(var1, "approveflag", "0");
      this.setItemValue(var1, "usestatus", "2");
      this.setItemValue(var1, "receiveflag", "0");
      this.setItemValue(var1, "printflag", "0");
      this.setItemValue(var1, "comefrom", "1");
      this.setItemValue(var1, "invtype", "2");
      this.setItemValue(var1, "credate", NpbusiDBHelper.getSysdate());
      this.setItemValue(var1, "assessdate", NpbusiDBHelper.getSysdate());
      return super.on_new(var1);
   }

   protected int on_beforedel(int var1) {
      if (this.getdbStatus(var1) == 1) {
         return 0;
      } else {
         String var2 = this.getItemValue(var1, "usestatus");
         String var3 = this.getItemValue(var1, "approveflag");
         return "2".equals(var2) && "0".equals(var3) ? super.on_beforedel(var1) : -1;
      }
   }

   protected String getEditablecolumns(int var1) {
      String var2 = this.getItemValue(var1, "usestatus");
      String var3 = this.getItemValue(var1, "approveflag");
      int var4 = this.mdemodel.getDetailModel().getDBtableModel().getRowCount();
      int var5;
      if ((var5 = this.getdbStatus(var1)) != 1 && "2".equals(var2) && "0".equals(var3)) {
         return "saleropcode,sa_mode,fix_mode,invtype,settletypeid,delivermethod,fmopcode,memo,assessdate,agentopcode.midposopcode";
      } else if (var5 != 1 && (!"2".equals(var2) || !"0".equals(var3))) {
         return "nothing";
      } else {
         return var5 == 1 && var4 > 0 ? "saleropcode,sa_mode,fix_mode,invtype,settletypeid,delivermethod,fmopcode,memo,assessdate,agentopcode,midposopcode,customopcode,storageopcode,tranmethod,wmstranmethod,targetposopcode" : super.getEditablecolumns(var1);
      }
   }

   protected int on_beforemodify(int var1) {
      return super.on_beforemodify(var1);
   }

   public void on_doubleclick(int var1, int var2) {
      this.setFocus("credate");
      super.on_doubleclick(var1, var2);
   }

   protected int on_checkrow(int var1, DBTableModel var2) {
      String var3;
      if ((var3 = this.getItemValue(var1, "fmid")) == null || "".equals(var3) || "0".equals(var3)) {
         this.setItemValue(var1, "fmid", "0");
         this.setItemValue(var1, "EXCHANGE", "1");
      }

      var3 = this.getItemValue(var1, "targetposid");
      String var4;
      if ((var4 = this.getItemValue(var1, "storageid")) != null && var4.trim().length() > 0 && (var3 == null || var3.trim().length() <= 0)) {
         var3 = "select a.customid from bms_st_def a where nvl(a.wmsflag,0)=1 and a.storageid=" + var4;
         RemotesqlHelper var7 = new RemotesqlHelper();

         try {
            DBTableModel var6;
            if ((var6 = var7.doSelect(var3, 0, 1)) != null && var6.getRowCount() > 0) {
               this.infoMessage("提示", "物流保管帐，没有维护运输地点");
               return -1;
            }
         } catch (Exception var5) {
            var5.printStackTrace();
         }
      }

      return super.on_checkrow(var1, var2);
   }

   protected void setFocus(String var1) {
      super.setFocus(var1);
   }

   public void docPrint(String var1, int var2) {
      String var3 = this.getItemValue(var2, "printflag");
      if (!"1".equals(var3) || JOptionPane.showConfirmDialog(this.frame, "该单据已打印，是否再次打印", "提示", 0) == 0) {
         super.docPrint(var1, var2);
      }
   }

   public void actionPerformed(ActionEvent var1) {
      if ("查看资信".equals(var1.getActionCommand())) {
         int var2;
         if ((var2 = this.getRow()) < 0) {
            return;
         }

         String var3 = this.getItemValue(var2, "entryid");
         String var4 = this.getItemValue(var2, "customid");
         String var7 = this.getItemValue(var2, "salerid");
         StringBuilder var5 = new StringBuilder();
         StringBuilder var6;
         (var6 = new StringBuilder(" and (entryid=")).append(var3);
         var6.append(" or entryid is null)");
         if (!var7.equals("")) {
            var5.append("(salerid=");
            var5.append(var7);
            var5.append(var6);
            var5.append(" or salerid is null)");
         }

         if (!var4.equals("")) {
            if (var5.length() > 0) {
               var5.append(" and ");
            }

            var5.append("(customid=");
            var5.append(var4);
            var5.append(var6);
            var5.append(" or customid is null)");
         }

         if (var5.length() == 0) {
            this.infoMessage("提示", "请先选择客户");
            return;
         }

         (new ShowCredit_Hov()).showDialog(this.getParentFrame(), "资信情况", (String)null, "", var5.toString());
      }

      super.actionPerformed(var1);
   }

   private void a(int var1) {
      String var2 = this.getItemValue(var1, "customid");
      String var3 = this.getItemValue(var1, "salerid");
      String var4 = this.getItemValue(var1, "entryid");
      String var5 = "";
      String var6 = "";
      if (!var2.equals("") && !var3.equals("") && !var4.equals("")) {
         ParamCommand var7;
         (var7 = new ParamCommand()).addParam("action", "查询最小可用额度");
         var7.addParam("salerid", var3);
         var7.addParam("customid", var2);
         var7.addParam("entryid", var4);
         ClientRequest var9;
         (var9 = new ClientRequest("sa.CreditAdjust.后台服务")).addCommand(var7);

         try {
            ServerResponse var10;
            DBTableModel var11;
            if (((StringCommand)(var10 = SendHelper.sendRequest(var9)).commandAt(0)).getString().startsWith("+") && (var11 = ((DataCommand)var10.commandAt(1)).getDbmodel()).getRowCount() > 0) {
               var5 = var11.getItemValue(0, "c");
               var6 = var11.getItemValue(0, "d");
            }
         } catch (Exception var8) {
            this.a.error("查询最小可用额度", var8);
         }
      }

      this.setItemValue(var1, "credit", var5);
      this.setItemValue(var1, "creditdays", var6);
   }

   private boolean a(String var1, String var2) {
      String var3 = "select a.entrycompanyid\n  from pub_entry a\n where a.entryid = " + var2;
      RemotesqlHelper var4 = new RemotesqlHelper();

      try {
         DBTableModel var6 = var4.doSelect(var3, 0, 1);
         String var8 = null;
         if (var6 != null && var6.getRowCount() > 0) {
            var8 = var6.getItemValue(0, "entrycompanyid");
         }

         CompanyOnClient var7;
         (var7 = new CompanyOnClient(var8)).setCompanyType(2);
         var7.setGSPFlag(var1);
         return var7.sendNomalCheck("3", var2);
      } catch (Exception var5) {
         this.errorMessage("检查独立单元执照错误", var5.getMessage());
         return false;
      }
   }
}
